Bug 506240 - rescue console shutdowns after command error
rescue console shutdowns after command error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 06:15 EDT by Karel Volný
Modified: 2009-08-10 10:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 10:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2009-06-16 06:15:58 EDT
Description of problem:
I am trying to install regular system (i.e. not live image) on 1 GB USB stick, under QEMU. The installation failed and so I tried to finish manually using the Rescue option of the installer. But something goes wrong during kernel installation, and I always end with "you may safely reboot your system" message, leaving me no option to investigate.
Successfull rpm operations, or other programs failing, do not lead to this, I can continue to use shell prompt after they finish.

Version-Release number of selected component (if applicable):
11.5.0.59

How reproducible:
always

Steps to Reproduce:
1. Install a system on USB stick under qemu.
2. Boot from the virtual CD, i.e.
qemu -hda /dev/sdb -m 256 -std-vga -cdrom Fedora-11-i386-netinst.iso -boot d
3. select Rescue installed system, let it detect network and mount the filesystem etc.
4. chroot /mnt/sysimage
5. rpm -e --nodeps kernel
6. yum install kernel
or alternatively rpm -i /var/cache/yum/fedora/packages/kernel-2.6.29.4-167.f11.i586.rpm

Actual results:
...
sending termination signals...done
sending kill signals...done
you may safely reboot your system

Expected results:
(console prompt)

Additional info:
Note that recently I tried to do "yum upgrade", which failed for some reason too, and the system was shut down the same way, so it is not kernel package specific problem.
Comment 1 Karel Volný 2009-06-16 07:27:38 EDT
(In reply to comment #0)
> Successfull rpm operations, or other programs failing, do not lead to this,
> I can continue to use shell prompt after they finish.

not so exactly true ...

I tried to run the new-kernel-pkg command manually, it failed for some reason, and the system rebooted then (unlike the above when it hangs after the "you may safely reboot your system")

so changing the subject, it is not rpm specific
Comment 2 Andy Lindeberg 2009-06-16 11:36:20 EDT
What errors are you getting on the terminal?
Comment 3 Karel Volný 2009-06-18 11:51:33 EDT
(In reply to comment #2)
> What errors are you getting on the terminal?  

sh-4.0# rpm --replacepkgs -i kernel-2.6.29.4-167.fc11.i586.rpm
install exited abnormally [1/1]
disabling swap...
unmounting filesystems....
        /mnt/runtime done
        disabling /dev/loop0 LOOP_CLR_FD failed: 16
        /proc done
        /sys done
        /selinux done
        /mnt/sysimage/dev/pts done
        /mnt/sysimage/dev/shm done
        /mnt/sysimage/dev done
        /mnt/sysimage/proc done
        /mnt/sysimage/sys done
        /mnt/sysimage/selinux done
        /mnt/sysimage done
error: %post(kernel-2.6.29.4-167.fc11.i586) scriptlet failed, signal 15
sh-4.0# sending termination signals...done
sending kill signals...done
you may safely reboot your system
Comment 4 Martin Sivák 2009-08-10 10:24:05 EDT
WE tried to reproduce with Karel, but weren't lucky. I'm closing this, since nobody else reported it and we have no data to debug it.

Note You need to log in before you can comment on or make changes to this bug.